## kdeconnect 0.7.3

=== CMakeLists.txt ===
project(kdeconnect)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QCA2 REQUIRED)

#if(CMAKE_COMPILER_IS_GNUCXX)
#    add_definitions(-std=gnu++0x)
#endif()

include(GenerateExportHeader)
include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(core)
add_subdirectory(kcm)
add_subdirectory(kio)
add_subdirectory(icon)
add_subdirectory(interfaces)

add_subdirectory(kded)
add_subdirectory(plugins)
add_subdirectory(plasmoid)
add_subdirectory(cli)
add_subdirectory(fileitemactionplugin)

add_subdirectory(tests)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== core/CMakeLists.txt ===
project(KDEConnectCore)

set(KDECONNECT_VERSION_MAJOR 1)
set(KDECONNECT_VERSION_MINOR 0)
set(KDECONNECT_VERSION_PATCH 1)
set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")

include_directories(
    ${QJSON_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QCA2_INCLUDE_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

set(kded_kdeconnect_SRCS
    ${kded_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp

    kdeconnectplugin.cpp
    pluginloader.cpp

    dbushelper.cpp
    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
)

kde4_add_library(kdeconnectcore SHARED ${kded_kdeconnect_SRCS})
set_target_properties(kdeconnectcore PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

target_link_libraries(kdeconnectcore
LINK_PUBLIC
    ${KDE4_KDECORE_LIBS}
LINK_PRIVATE
    ${KDE4_KIO_LIBS}
    ${QJSON_LIBRARIES}
    ${QT_QTNETWORK_LIBRARY}
    ${QCA2_LIBRARIES}
)
target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectcore EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectcore_export.h BASE_NAME KDEConnectCore)

include(macros)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/daemon.h
    org.kde.kdeconnect.daemon.xml
    OPTIONS -a
)

generate_and_install_dbus_interface(
    kdeconnectcore
    ../core/device.h
    org.kde.kdeconnect.device.xml
    OPTIONS -a
)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== fileitemactionplugin/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

kde4_add_plugin(kdeconnectfiletiemaction sendfileitemaction.cpp)
target_link_libraries(kdeconnectfiletiemaction ${KDE4_KIO_LIBS} kdeconnectinterfaces)
install(TARGETS kdeconnectfiletiemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnectsendfile.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== interfaces/CMakeLists.txt ===
set(KDECONNECT_VERSION_MAJOR 1)
set(KDECONNECT_VERSION_MINOR 0)
set(KDECONNECT_VERSION_PATCH 1)
set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_SOURCE_DIR})

add_definitions(-DKDECONNECT_LIBRARY)

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    modeltest.cpp
)

set(libkdeconnect_public_HEADERS
    KDEConnect/DevicesModel
    KDEConnect/NotificationsModel
)

set(libkdeconnect_HEADERS
    devicesmodel.h
    notificationsmodel.h
    dbusinterfaces.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h
    ${CMAKE_BINARY_DIR}/interfaces/daemoninterface.h
    ${CMAKE_BINARY_DIR}/interfaces/deviceinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicebatteryinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicesftpinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/devicenotificationsinterface.h
    ${CMAKE_BINARY_DIR}/interfaces/notificationinterface.h
)

set_source_files_properties(
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml
    ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml
    ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml
    ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml
    ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml
    PROPERTIES NO_NAMESPACE true
)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.daemon.xml daemoninterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/core/org.kde.kdeconnect.device.xml deviceinterface)
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/battery/org.kde.kdeconnect.device.battery.xml devicebatteryinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/sftp/org.kde.kdeconnect.device.sftp.xml devicesftpinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.xml devicenotificationsinterface )
qt4_add_dbus_interface(libkdeconnect_SRC ${CMAKE_BINARY_DIR}/plugins/notifications/org.kde.kdeconnect.device.notifications.notification.xml notificationinterface  )

kde4_add_library(kdeconnectinterfaces SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

add_dependencies(kdeconnectinterfaces
        org.kde.kdeconnect.daemon.xml
        org.kde.kdeconnect.device.xml
        org.kde.kdeconnect.device.battery.xml
        org.kde.kdeconnect.device.sftp.xml
        org.kde.kdeconnect.device.notifications.xml
        org.kde.kdeconnect.device.notifications.notification.xml
)

target_link_libraries(kdeconnectinterfaces
LINK_PUBLIC
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
LINK_PRIVATE
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${QJSON_LIBRARIES}
)

configure_file(KDEConnectConfig.cmake.in ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake @ONLY)

macro_write_basic_cmake_version_file(${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
        ${KDECONNECT_VERSION_MAJOR} ${KDECONNECT_VERSION_MINOR} ${KDECONNECT_VERSION_PATCH})
        
install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})

#Install header files
install(FILES ${libkdeconnect_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kdeconnect COMPONENT Devel)
install(FILES ${libkdeconnect_public_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/KDEConnect COMPONENT Devel)
install(FILES ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake
              ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/KDEConnect)

=== kded/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

kde4_add_executable(kdeconnectd kdeconnectd.cpp)
target_link_libraries(kdeconnectd kdeconnectcore ${KDE4_KDEUI_LIBS})

kde4_add_plugin(kded_kdeconnect kded.cpp)

target_link_libraries(kded_kdeconnect ${KDE4_KDECORE_LIBS})

install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})
install(TARGETS kded_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

#TODO: Split this into several files for core and for each plugin
install(FILES kdeconnect.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdeconnect)

=== kio/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

set(kio_kdeconnect_PART_SRCS
   kiokdeconnect.cpp
)

kde4_add_plugin(kio_kdeconnect ${kio_kdeconnect_PART_SRCS})

target_link_libraries(kio_kdeconnect
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    kdeconnectinterfaces
)

########### install files ###############
install(TARGETS kio_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/battery/CMakeLists.txt ===
set(kdeconnect_battery_SRCS
    batteryplugin.cpp
    batterydbusinterface.cpp
)

kde4_add_plugin(kdeconnect_battery ${kdeconnect_battery_SRCS})

target_link_libraries(kdeconnect_battery kdeconnectcore ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect_battery DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_battery.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(macros)

generate_and_install_dbus_interface(
    kdeconnect_battery
    batterydbusinterface.h
    org.kde.kdeconnect.device.battery.xml
    OPTIONS -a
)

=== plugins/mousepad/CMakeLists.txt ===
set(kdeconnect_mousepad_SRCS
    mousepadplugin.cpp
)

find_package(XTest REQUIRED)
find_package(X11 REQUIRED)
find_package(LibFakeKey REQUIRED)

kde4_add_plugin(kdeconnect_mousepad ${kdeconnect_mousepad_SRCS})

include_directories(${XTEST_INCLUDE_DIRS} ${X11_INCLUDE_DIR} ${LibFakeKey_INCLUDE_DIRS})

target_link_libraries(kdeconnect_mousepad kdeconnectcore
    ${QT_QTGUI_LIBRARY}
    ${X11_LIBRARIES}
    ${XTEST_LIBRARIES}
    ${LibFakeKey_LIBRARIES}
)

install(TARGETS kdeconnect_mousepad DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_mousepad.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/notifications/CMakeLists.txt ===
set(kdeconnect_notifications_SRCS
    notification.cpp
    notificationsplugin.cpp
    notificationsdbusinterface.cpp
)

kde4_add_plugin(kdeconnect_notifications ${kdeconnect_notifications_SRCS})

target_link_libraries(kdeconnect_notifications kdeconnectcore ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect_notifications DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_notifications.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(macros)
generate_and_install_dbus_interface(
    kdeconnect_notifications
    notificationsdbusinterface.h
    org.kde.kdeconnect.device.notifications.xml
    OPTIONS -a
)
generate_and_install_dbus_interface(
    kdeconnect_notifications
    notification.h
    org.kde.kdeconnect.device.notifications.notification.xml
    OPTIONS -a
)

=== plugins/ping/CMakeLists.txt ===
set(kdeconnect_ping_SRCS
    pingplugin.cpp
)

kde4_add_plugin(kdeconnect_ping ${kdeconnect_ping_SRCS})

target_link_libraries(kdeconnect_ping kdeconnectcore ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect_ping DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_ping.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/share/CMakeLists.txt ===
set(kdeconnect_share_SRCS
    shareplugin.cpp
    autoclosingqfile.cpp
)

kde4_add_plugin(kdeconnect_share ${kdeconnect_share_SRCS})

target_link_libraries(kdeconnect_share kdeconnectcore ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS kdeconnect_share DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_share.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#######################################
# Config

set( kdeconnect_share_config_SRCS share_config.cpp )
kde4_add_ui_files( kdeconnect_share_config_SRCS share_config.ui )

kde4_add_plugin( kdeconnect_share_config ${kdeconnect_share_config_SRCS} )
target_link_libraries( kdeconnect_share_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)

install(TARGETS kdeconnect_share_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_share_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== core/backends/loopback/CMakeLists.txt ===

set(kded_kdeconnect_SRCS
    ${kded_kdeconnect_SRCS}

    backends/loopback/loopbacklinkprovider.cpp
    backends/loopback/loopbackdevicelink.cpp

    PARENT_SCOPE
)

=== debian/changelog ===
kdeconnect (0.7.3-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1394586)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 26 Nov 2014 22:06:22 +0100

kdeconnect (0.7.3-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Parallelize build

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Nov 2014 15:40:20 +0100

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               libfakekey-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://github.com/deiv/kdeconnect-pkg.git
Vcs-Browser: https://github.com/deiv/kdeconnect-pkg

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sshfs
Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

## This transitional package can be dropped post 14.04

Package: kdeconnect-kde
Architecture: all
Priority: extra
Section: oldlibs
Depends: kdeconnect, ${misc:Depends}
Description: transitional package for kdeconnect-kde
 This is a transitional package for kdeconnect-kde. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options stuff
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# workaround for hardening on cmake
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ --with kde --parallel

override_dh_auto_install:
	dh_auto_install
	# remove '-dev' related files
	rm -rvf debian/tmp/usr/include/*

.PHONY: override_dh_auto_test

## kdeconnect 0.8

=== cli/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

add_executable(kdeconnect-cli kdeconnect-cli.cpp)

target_link_libraries(kdeconnect-cli kdeconnectinterfaces ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 generate_export_header(kdeconnectcore EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectcore_export.h BASE_NAME KDEConnectCore)
 
-include(macros)
+include(DbusInterfaceMacros)
 
 generate_and_install_dbus_interface(
     kdeconnectcore

=== kcm/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kcm_SRCS
    kcm.cpp
    devicessortproxymodel.cpp
)

kde4_add_ui_files(kcm_SRCS kcm.ui)

kde4_add_plugin(kcm_kdeconnect ${kcm_SRCS})

target_link_libraries(kcm_kdeconnect
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KCMUTILS_LIBS}
    kdeconnectinterfaces
)

install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== kded/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR})

kde4_add_executable(kdeconnectd kdeconnectd.cpp)
target_link_libraries(kdeconnectd kdeconnectcore ${KDE4_KDEUI_LIBS})
install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_add_plugin(kded_kdeconnect kded.cpp)
target_link_libraries(kded_kdeconnect ${KDE4_KDECORE_LIBS})
install(TARGETS kded_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)

include(DbusActivationMacros)
dbus_add_activation_service(org.kde.kdeconnect.service.in)

=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/core ${QCA2_INCLUDE_DIR})
install(FILES kdeconnect_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(ping)
add_subdirectory(pausemusic)
add_subdirectory(mpriscontrol)
add_subdirectory(clipboard)
add_subdirectory(telephony)
add_subdirectory(battery)
add_subdirectory(mousepad)
add_subdirectory(share)
add_subdirectory(notifications)
add_subdirectory(sftp)
add_subdirectory(screensaver-inhibit)

#FIXME: If we split notifications in several files, they won't appear in the same group in the Notifications KCM
install(FILES kdeconnect.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdeconnect)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(lt)
add_subdirectory(pt)
add_subdirectory(hu)
add_subdirectory(de)
add_subdirectory(ja)
add_subdirectory(ca)
add_subdirectory(ko)
add_subdirectory(es)
add_subdirectory(pl)
add_subdirectory(ar)
add_subdirectory(ru)
add_subdirectory(uk)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(nl)
add_subdirectory(sk)
add_subdirectory(bg)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(ro)
add_subdirectory(tr)
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(bs)

=== plugins/battery/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 install(TARGETS kdeconnect_battery DESTINATION ${PLUGIN_INSTALL_DIR} )
 install(FILES kdeconnect_battery.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 
-include(macros)
+include(DbusInterfaceMacros)
 
 generate_and_install_dbus_interface(
     kdeconnect_battery

=== plugins/mpriscontrol/CMakeLists.txt ===
set(kdeconnect_mpriscontrol_SRCS
    mpriscontrolplugin.cpp
)

qt4_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   mprisdbusinterface.xml
   mprisdbusinterface
)

qt4_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   propertiesInterface.xml
   propertiesdbusinterface
)

kde4_add_plugin(kdeconnect_mpriscontrol ${kdeconnect_mpriscontrol_SRCS})

target_link_libraries(kdeconnect_mpriscontrol kdeconnectcore)

install(TARGETS kdeconnect_mpriscontrol DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_mpriscontrol.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/notifications/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,8 @@
 install(TARGETS kdeconnect_notifications DESTINATION ${PLUGIN_INSTALL_DIR} )
 install(FILES kdeconnect_notifications.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
 
-include(macros)
+include(DbusInterfaceMacros)
+
 generate_and_install_dbus_interface(
     kdeconnect_notifications
     notificationsdbusinterface.h

=== plugins/pausemusic/CMakeLists.txt ===
set(kdeconnect_pausemusic_SRCS
    pausemusicplugin.cpp
)

kde4_add_plugin(kdeconnect_pausemusic ${kdeconnect_pausemusic_SRCS})

target_link_libraries(kdeconnect_pausemusic
    kdeconnectcore
)

install(TARGETS kdeconnect_pausemusic DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_pausemusic.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#######################################
# Config

set( kdeconnect_pausemusic_config_SRCS pausemusic_config.cpp )
kde4_add_ui_files( kdeconnect_pausemusic_config_SRCS pausemusic_config.ui )

kde4_add_plugin( kdeconnect_pausemusic_config ${kdeconnect_pausemusic_config_SRCS} )
target_link_libraries( kdeconnect_pausemusic_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
)

install( TARGETS kdeconnect_pausemusic_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kdeconnect_pausemusic_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/screensaver-inhibit/CMakeLists.txt ===
set(kdeconnect_screensaver_inhibit_SRCS
    screensaverinhibitplugin.cpp
)

kde4_add_plugin(kdeconnect_screensaver_inhibit ${kdeconnect_screensaver_inhibit_SRCS})

target_link_libraries(kdeconnect_screensaver_inhibit kdeconnectcore ${KDE4_KDEUI_LIBS})

install(TARGETS kdeconnect_screensaver_inhibit DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_screensaver_inhibit.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/sftp/CMakeLists.txt ===
set(kdeconnect_sftp_SRCS
    mounter.cpp
    mountloop.cpp
    sftpplugin.cpp
)

kde4_add_plugin(kdeconnect_sftp ${kdeconnect_sftp_SRCS})

target_link_libraries(kdeconnect_sftp kdeconnectcore ${KDE4_KFILE_LIBS})

install(TARGETS kdeconnect_sftp DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_sftp.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

include(DbusInterfaceMacros)

generate_and_install_dbus_interface(
    kdeconnect_sftp
    sftpplugin.h
    org.kde.kdeconnect.device.sftp.xml
    OPTIONS -a
)

#######################################
# Config

set( kdeconnect_sftp_config_SRCS sftp_config.cpp )
kde4_add_ui_files( kdeconnect_sftp_config_SRCS sftp_config.ui )

kde4_add_plugin( kdeconnect_sftp_config ${kdeconnect_sftp_config_SRCS} )
target_link_libraries( kdeconnect_sftp_config
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
)

install(TARGETS kdeconnect_sftp_config DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdeconnect_sftp_config.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeconnect (0.8-0ubuntu5) wily; urgency=medium

  * Drop hardcoded libqca2 dependency. Let shlibs take care of that.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 10:13:19 +0200

kdeconnect (0.8-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Aug 2015 08:22:28 +0200

kdeconnect (0.8-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:12:06 +0000

kdeconnect (0.8-0ubuntu2) vivid; urgency=medium

  * Fix LP: #1430590 package kdeconnect depends on transitional qca2
    packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Apr 2015 17:25:43 +0200

kdeconnect (0.8-0ubuntu1) vivid; urgency=medium

  * Update to kdeconnect 0.8 LP: #1424245
  * Add build-dep on libdbus-1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Mar 2015 14:51:47 +0100

kdeconnect (0.7.3-0ubuntu2) vivid; urgency=medium

  * Update .install file to only install kioslave and kde file action
  * Remove kdeconnect-kde .deb

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 07 Mar 2015 01:19:10 +0100

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               libfakekey-dev,
               pkg-config,
               pkg-kde-tools,
	       libdbus-1-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://github.com/deiv/kdeconnect-pkg.git
Vcs-Browser: https://github.com/deiv/kdeconnect-pkg

Package: kdeconnect
Architecture: any
Depends: libqca2-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sshfs, kdeconnect-plasma
Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh $@ --with kde --parallel
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=debian/tmp
 	# remove '-dev' related files
 	rm -rvf debian/tmp/usr/include/*

=== debian/watch ===

version=3
http://download.kde.org/unstable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-([\d\.]+)\.tar\.xz

## kdeconnect 1.0.1

=== CMakeLists.txt ===
project(kdeconnect)

set(KDECONNECT_VERSION_MAJOR 1)
set(KDECONNECT_VERSION_MINOR 0)
set(KDECONNECT_VERSION_PATCH 1)
set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake)

find_package(Qt5 5.2 REQUIRED COMPONENTS Quick Gui)
find_package(KF5 REQUIRED COMPONENTS I18n ConfigWidgets DBusAddons)
find_package(KF5DocTools)
find_package(Qca-qt5 2.1.0 REQUIRED)

include_directories(${CMAKE_SOURCE_DIR})

configure_file(kdeconnect-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(FeatureSummary)

include(KDEConnectMacros.cmake)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS)

include(GenerateExportHeader)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(core)
add_subdirectory(kcm)
add_subdirectory(kcmplugin)
if(NOT WIN32)
	add_subdirectory(kio)
endif()
add_subdirectory(icon)
add_subdirectory(interfaces)

option(EXPERIMENTALAPP_ENABLED OFF)
if(EXPERIMENTALAPP_ENABLED)
    add_subdirectory(app)
endif()
add_subdirectory(daemon)
add_subdirectory(plugins)
add_subdirectory(plasmoid)
add_subdirectory(cli)
add_subdirectory(fileitemactionplugin)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

install(PROGRAMS org.kde.kdeconnect.nonplasma.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.kdeconnect.kcm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== cli/CMakeLists.txt ===

add_executable(kdeconnect-cli kdeconnect-cli.cpp)
ecm_mark_nongui_executable(kdeconnect-cli)

target_link_libraries(kdeconnect-cli
    kdeconnectinterfaces
    KF5::CoreAddons
    KF5::I18n
)

install(TARGETS kdeconnect-cli ${INSTALL_TARGETS_DEFAULT_ARGS})

=== core/CMakeLists.txt ===
project(KDEConnectCore)

add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(backends/lan)
add_subdirectory(backends/loopback)

find_package(KF5Notifications 5.9 REQUIRED)

set(kdeconnectcore_SRCS
    ${backends_kdeconnect_SRCS}

    backends/linkprovider.cpp
    backends/devicelink.cpp
    backends/pairinghandler.cpp

    kdeconnectplugin.cpp
    kdeconnectpluginconfig.cpp
    pluginloader.cpp

    kdeconnectconfig.cpp
    dbushelper.cpp
    networkpackage.cpp
    filetransferjob.cpp
    daemon.cpp
    device.cpp
    core_debug.cpp
)

add_library(kdeconnectcore ${kdeconnectcore_SRCS})
target_link_libraries(kdeconnectcore
PUBLIC
    Qt5::Network
    KF5::CoreAddons
    qca-qt5
PRIVATE
    Qt5::DBus
    Qt5::Gui
    KF5::I18n
    KF5::ConfigCore
)

set_target_properties(kdeconnectcore PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

target_include_directories(kdeconnectcore PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
generate_export_header(kdeconnectcore EXPORT_FILE_NAME kdeconnectcore_export.h BASE_NAME KDEConnectCore)

install(TARGETS kdeconnectcore EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== daemon/CMakeLists.txt ===
project(kdeconnectd)

find_package(KF5 REQUIRED COMPONENTS Notifications KIO)

add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kded")

add_executable(kdeconnectd kdeconnectd.cpp)
target_link_libraries(kdeconnectd kdeconnectcore KF5::KIOWidgets KF5::DBusAddons KF5::Notifications KF5::I18n Qt5::Widgets)

ecm_mark_nongui_executable(kdeconnectd)

configure_file(kdeconnectd.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop)
configure_file(org.kde.kdeconnect.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectd.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kdeconnect.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(TARGETS kdeconnectd DESTINATION ${LIBEXEC_INSTALL_DIR})

=== interfaces/CMakeLists.txt ===
project(KDEConnectInterfaces)

function(geninterface source_h output_h)
    set(xml_file ${CMAKE_CURRENT_BINARY_DIR}/${output_h}.xml)
    qt5_generate_dbus_interface( ${source_h} ${xml_file})

    list(APPEND libkdeconnect_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/${output_h})
    set_source_files_properties(${xml_file} PROPERTIES NO_NAMESPACE true)

    qt5_add_dbus_interface(libkdeconnect_SRC ${xml_file} ${output_h})
    set(libkdeconnect_SRC ${libkdeconnect_SRC} PARENT_SCOPE)
    set(libkdeconnect_HEADERS ${libkdeconnect_HEADERS} PARENT_SCOPE)
endfunction()

set(libkdeconnect_SRC
    dbusinterfaces.cpp
    devicesmodel.cpp
    notificationsmodel.cpp
    devicessortproxymodel.cpp
#    modeltest.cpp
)

set(libkdeconnect_public_HEADERS
    KDEConnect/DevicesModel
    KDEConnect/NotificationsModel
)

set(libkdeconnect_HEADERS
    devicesmodel.h
    notificationsmodel.h
    dbusinterfaces.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h
)

geninterface(${CMAKE_SOURCE_DIR}/core/daemon.h daemoninterface)
geninterface(${CMAKE_SOURCE_DIR}/core/device.h deviceinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/battery/batterydbusinterface.h devicebatteryinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/sftp/sftpplugin.h devicesftpinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/notifications/notificationsdbusinterface.h devicenotificationsinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/findmyphone/findmyphoneplugin.h devicefindmyphoneinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/notifications/notification.h notificationinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/mprisremote/mprisremoteplugin.h mprisremoteinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/remotecontrol/remotecontrolplugin.h remotecontrolinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/lockdevice/lockdeviceplugin.h lockdeviceinterface)
geninterface(${CMAKE_SOURCE_DIR}/plugins/remotecommands/remotecommandsplugin.h remotecommandsinterface)


add_library(kdeconnectinterfaces SHARED ${libkdeconnect_SRC})
set_target_properties(kdeconnectinterfaces PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectinterfaces EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_export.h BASE_NAME KDEConnectInterfaces)

target_link_libraries(kdeconnectinterfaces
LINK_PUBLIC
    Qt5::Gui
    Qt5::DBus
LINK_PRIVATE
    KF5::ConfigCore
    KF5::I18n
)

configure_file(KDEConnectConfig.cmake.in ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake @ONLY)

ecm_setup_version( "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}" VARIABLE_PREFIX KDECONNECTINTERFACES
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdeconnectinterfaces_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEConnectConfigVersion.cmake"
                        SOVERSION ${KDECONNECT_VERSION_MAJOR})

install(TARGETS kdeconnectinterfaces EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

## Don't install header files until API/ABI policy is defined
#
# install(FILES ${libkdeconnect_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kdeconnect COMPONENT Devel)
# install(FILES ${libkdeconnect_public_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/KDEConnect COMPONENT Devel)
# install(FILES ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfig.cmake
#               ${CMAKE_BINARY_DIR}/interfaces/KDEConnectConfigVersion.cmake
#         DESTINATION ${LIB_INSTALL_DIR}/cmake/KDEConnect)

=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/core)
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-plugins\")
install(FILES kdeconnect_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(ping)
add_subdirectory(clipboard)
add_subdirectory(telephony)
add_subdirectory(share)
add_subdirectory(notifications)
add_subdirectory(battery)
add_subdirectory(runcommand)
add_subdirectory(remotecommands)
add_subdirectory(findmyphone)
if(NOT WIN32)
    add_subdirectory(sendnotifications)
    add_subdirectory(pausemusic)
    add_subdirectory(mpriscontrol)
    add_subdirectory(mousepad)
    add_subdirectory(screensaver-inhibit)
    add_subdirectory(sftp)
endif()
if(EXPERIMENTALAPP_ENABLED)
    add_subdirectory(mprisremote)
    add_subdirectory(remotecontrol)
    add_subdirectory(lockdevice)
endif()

#FIXME: If we split notifications in several files, they won't appear in the same group in the Notifications KCM
install(FILES kdeconnect.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== tests/CMakeLists.txt ===
find_package(Qt5 REQUIRED COMPONENTS Test)
find_package(KF5 REQUIRED COMPONENTS KIO Notifications IconThemes)

include_directories(
    ${KDEConnectCore_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}
)

set(kdeconnect_libraries
	kdeconnectcore
    KF5::I18n
    KF5::KIOWidgets
    Qt5::DBus
    Qt5::Network
    Qt5::Test
    qca-qt5
)

ecm_add_test(pluginloadtest.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(sendfiletest.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(networkpackagetests.cpp LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testsocketlinereader.cpp TEST_NAME testsocketlinereader LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testsslsocketlinereader.cpp TEST_NAME testsslsocketlinereader LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(kdeconnectconfigtest.cpp TEST_NAME kdeconnectconfigtest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(lanlinkprovidertest.cpp TEST_NAME lanlinkprovidertest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(devicetest.cpp TEST_NAME devicetest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(downloadjobtest.cpp TEST_NAME downloadjobtest LINK_LIBRARIES ${kdeconnect_libraries})
ecm_add_test(testnotificationlistener.cpp
             ../plugins/sendnotifications/sendnotificationsplugin.cpp
             ../plugins/sendnotifications/notificationslistener.cpp
             ../plugins/sendnotifications/notifyingapplication.cpp
             TEST_NAME testnotificationlistener
             LINK_LIBRARIES ${kdeconnect_libraries} Qt5::DBus KF5::Notifications KF5::IconThemes)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                          SUBDIR kdeconnect-kde)

=== plasmoid/declarativeplugin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR})

set(kdeconnectdeclarativeplugin_SRC
    kdeconnectdeclarativeplugin.cpp
    responsewaiter.cpp
    processrunner.cpp
)

set(kdeconnectdeclarativeplugin_MOC
  objectfactory.h
)

qt5_wrap_cpp(kdeconnectdeclarativeplugin_SRC ${kdeconnectdeclarativeplugin_MOC})

add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
target_link_libraries(kdeconnectdeclarativeplugin
    Qt5::Qml
    kdeconnectinterfaces
)
install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
install(FILES qmldir qml/PluginChecker.qml DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)

=== plugins/mousepad/CMakeLists.txt ===
find_package(LibFakeKey)
set_package_properties(LibFakeKey PROPERTIES DESCRIPTION "fake key events"
                       URL "https://www.yoctoproject.org/tools-resources/projects/matchbox"
                       TYPE OPTIONAL
                       PURPOSE "Needed for the remote mousepad plugin"
                      )

if (LibFakeKey_FOUND)
    find_package(XTest REQUIRED)
    find_package(X11 REQUIRED)
    find_package(Qt5X11Extras REQUIRED)
endif()
find_package(KF5Wayland 5.3.90)

set(HAVE_X11 ${LibFakeKey_FOUND})
set(HAVE_WAYLAND ${KF5Wayland_FOUND})
configure_file(config-mousepad.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-mousepad.h )

kdeconnect_add_plugin(kdeconnect_mousepad JSON kdeconnect_mousepad.json SOURCES mousepadplugin.cpp)

if (HAVE_X11)
    include_directories(${XTEST_INCLUDE_DIRS} ${X11_INCLUDE_DIR} ${LibFakeKey_INCLUDE_DIRS})
endif()

target_link_libraries(kdeconnect_mousepad kdeconnectcore Qt5::Gui KF5::I18n)

if(HAVE_WAYLAND)
    target_link_libraries(kdeconnect_mousepad KF5::WaylandClient)
endif()
if(HAVE_X11)
    target_link_libraries(kdeconnect_mousepad Qt5::X11Extras ${X11_LIBRARIES} ${XTEST_LIBRARIES} ${LibFakeKey_LIBRARIES})
endif()

=== plugins/mpriscontrol/CMakeLists.txt ===
set(kdeconnect_mpriscontrol_SRCS
    mpriscontrolplugin.cpp
)

qt5_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   mprisdbusinterface.xml
   mprisdbusinterface
)

qt5_add_dbus_interface(
   kdeconnect_mpriscontrol_SRCS
   propertiesInterface.xml
   propertiesdbusinterface
)

kdeconnect_add_plugin(kdeconnect_mpriscontrol JSON kdeconnect_mpriscontrol.json SOURCES  ${kdeconnect_mpriscontrol_SRCS})

target_link_libraries(kdeconnect_mpriscontrol Qt5::DBus kdeconnectcore Qt5::Gui)

=== plugins/notifications/CMakeLists.txt ===
find_package(KF5 REQUIRED COMPONENTS Notifications KCMUtils I18n IconThemes Config)

set(kdeconnect_notifications_SRCS
    notification.cpp
    notificationsplugin.cpp
    notificationsdbusinterface.cpp
)

kdeconnect_add_plugin(kdeconnect_notifications JSON kdeconnect_notifications.json SOURCES ${kdeconnect_notifications_SRCS})

target_link_libraries(kdeconnect_notifications
    kdeconnectcore
    Qt5::DBus
    KF5::Notifications
    KF5::I18n
    KF5::IconThemes
)

=== debian/changelog ===
kdeconnect (1.0.1-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #833650).
  * Update debian/watch: kdeconnect is now stable.

  [ Diederik de Haas ]
  * Update homepage (Closes: #802189).

  [ Maximiliano Curia ]
  * New upstream release (1.0.1).
  * Refresh patches
  * Use dbus-run-session instead of dbus-launch
  * Update copyright information.

  [ Harald Sitter ]
  * do not run tests at build time
  * run test through xvfb as we now need workign xcb for some tests
  * install openbox, it's being forked as part of the test...
  * force all tests to fork kio slaves from themself

  [ Jonathan Riddell ]
  * add xvfb install for tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Oct 2016 16:21:07 +0200

kdeconnect (0.9g-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to KF5.
    - Remove all Qt4/Plasma 4 related packages from build dpendencies and
      dependencies.
    - Add new build dependencies and dependencies as required. Thanks to the
      Ubuntu folks for they work! I have taken most of the correct build deps
      names from your packaging.
    - Remove unnecessary removals in debian/rules.
  * Update README.md installation.
  * Disable NetworkPackageTests::networkPackageIdentityTest as it seems to
    run fine with network access but fail without it (and thus on sbuild).
  * Add libqca-qt5-2-plugins as a build dependency, it is needed by the tests.
  * Update lintian overrides.
  * Update and simplify debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 05 Feb 2016 00:53:25 -0300

kdeconnect (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright.
  * Update standards version; no changes needed.
  * debian/control:
      - Add libfakekey-dev and libdbus-1-dev as a build dependency.
      - Change runtime depend to libqca2-plugins instead of deprecated
          libqca2-plugins-{gnupg, ossl} packages.
      - Update Vcs-Browser to use cgit.
  * Remove some older false positives in lintian overrides that are fixed:
      - 'desktop-command-not-in-package' for kcmshell4.
      - 'desktop-entry-lacks-keywords-entry' for kdeconnect.desktop.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 21 Jun 2015 14:15:31 +0200

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libfakekey-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5wayland-dev,
               libqca-qt5-2-dev,
               libqca-qt5-2-plugins,
               libqt5x11extras5-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/kdeconnect-kde
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect.git

Package: kdeconnect
Architecture: any
Depends: kde-cli-tools,
         libqca-qt5-2-plugins,
         plasma-workspace,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening options stuff
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# workaround for hardening on cmake
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with=kf5,pkgkde-symbolshelper --parallel

override_dh_auto_install:
	dh_auto_install

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, openbox, dbus (>= 1.8)
Restrictions: build-needed

=== debian/watch ===

version=3
http://download.kde.org/stable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-([\d\.]+)\.tar\.xz

## kdeconnect 1.0.3

=== debian/changelog ===
kdeconnect (1.0.3-0ubuntu2) zesty; urgency=medium

  * Disable autotests for s390x

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 27 Jan 2017 22:40:58 +0000

kdeconnect (1.0.3-0ubuntu1) zesty; urgency=medium

  * Remove patches folder
  * Removing runtime dep on plasma-workspace (Closes LP: #1653952)
  * Change project homepage (Closes LP: #1559256)
  * New upstream release (1.0.3)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 04 Jan 2017 15:50:36 +0000

kdeconnect (1.0.1-1ubuntu1) zesty; urgency=medium

  * Kubuntu initially used different packaging (kdeconnect-plasma)
    for the KF5 port of KDEConnect.  However, Debian are reusing the
    old packaging.  Kubuntu intends to follow Debians lead and revert
    to the old packaging.
  * Disable auto-tests due to failing on no network
  * New upstream release, finally! (1.0)
  * Add build depend on kdoctools-dev
  * Remove old patches from VCS
  * New upstream release (1.0.1)
  * Adding breaks/replaces
  * Add dummy package for kdeconnect-plasma
  * Merged with Debian

 -- Clive Johnston <clivejo@kubuntu.org>  Sun, 11 Dec 2016 20:00:44 +0000

=== debian/control ===
--- 
+++ 
@@ -24,20 +24,30 @@
                qtbase5-dev,
                qtdeclarative5-dev
 Standards-Version: 3.9.6
-Homepage: https://projects.kde.org/projects/extragear/network/kdeconnect-kde
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kdeconnect.git
+Homepage: https://community.kde.org/KDEConnect
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
 
 Package: kdeconnect
 Architecture: any
 Depends: kde-cli-tools,
          libqca-qt5-2-plugins,
-         plasma-workspace,
          sshfs,
          ${misc:Depends},
          ${shlibs:Depends}
+Replaces: kdeconnect (<< 1.0), kdeconnect-plasma (<< 1.0)
+Breaks: kdeconnect (<< 1.0), kdeconnect-plasma (<< 1.0)
 Description: connect smartphones to your KDE Plasma Workspace
  Tool to integrate the KDE Plasma Workspace with your smartphones and
  similar devices.
  It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
  At the  moment it only supports Android based devices.
+
+Package: kdeconnect-plasma
+Architecture: any
+Depends: kdeconnect
+Breaks: kdeconnect-plasma (<< 1.0)
+Replaces: kdeconnect-plasma (<< 1.0)
+Description: Transitional package (kdeconnect-plasma -> kdeconnect)
+ This is a transitional package for kdeconnect-plasma and can safely be
+ removed.

=== debian/watch ===
version=3
http://download.kde.org/stable/kdeconnect/([\d\.]+)/src/kdeconnect-kde-([\d\.]+)\.tar\.xz
